package com.bonus.canteen.core.customer.business;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.common.constant.LeMqConstant;
import com.bonus.canteen.core.customer.dto.CustInfoModel;
import com.bonus.canteen.core.customer.dto.CustInfoParam;
import com.bonus.canteen.core.customer.vo.PageCustInfoPhotoVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CustInfoBurialPointBusiness implements CustomBusiness {
   public String name() {
      return "用户";
   }

   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("3.11.3", "初版"), CustomBusiness.Version.of("4.0.2", "新增查询用户前埋点")});
   }
   public void willAddOrUpdateCust(CustInfoModel infoModel) {
   }

   public void willAddOrUpdateCustAfter(CustInfoModel infoModel, boolean insert) {
   }

   public void didNotifyOtherModules(Long custId, LeMqConstant.DataChangeType dataChangeType) {
   }

   public void willQueryCustInfoByPage(CustInfoParam infoParam, List<PageCustInfoPhotoVO> result) {
   }
}
